#pragma once
#include "afxwin.h"
#include "afxcmn.h"
#include <apl_gui.h>
#include "apl_api.h"


// CEditExtentDlg dialog

class CEditExtentDlg : public CaplTranslateDialog
{
	DECLARE_DYNAMIC(CEditExtentDlg)

public:
	CEditExtentDlg(CWnd* pParent = NULL);   // standard constructor
	virtual ~CEditExtentDlg();

// Dialog Data
	long m_SelectMode;
	enum { IDD = IDD_EDIT_EXTENT };

	TCHAR *m_title;
	TCHAR *m_list_title;
	aplExtent m_ext;

	CaplAPI *m_api;
	CaplInstance *m_sprav;

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	DECLARE_MESSAGE_MAP()
public:
	CaplButton m_ok_btn;
	CaplButton m_cancel_btn;
	CaplButton m_add_btn;
	CaplButton m_del_btn;
	CListCtrl m_list;
	virtual BOOL OnInitDialog();
protected:
	virtual void OnOK();
public:
	afx_msg void OnBnClickedAdd();
	afx_msg void OnBnClickedDel();
	CStatic m_st_list_title;
};
